//
//  NSData+Additions.m
//  TeamChat
//
//  Created by Aruna M on 23/07/14.
//  Copyright (c) 2014 Webaroo. All rights reserved.
//

#import "NSData+Additions.h"

@implementation NSData (Additions)

- (NSString*)hexRepresentation
{
    const unsigned char* bytes = (const unsigned char*)[self bytes];
    NSUInteger nbBytes = [self length];
    NSMutableString* hex = [[NSMutableString alloc] initWithCapacity:2*nbBytes];
    for(NSUInteger i=0; i<nbBytes; i++)
    {
        [hex appendFormat:@"%02X", bytes[i]];
    }
    return hex;
}
@end
