//
//  NewContactViewController.h
//  SDKTestApp
//
//  Created by Vidyalaxmi V Shenoy on 26/08/15.
//  Copyright (c) 2015 Robosoft. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <TeamchatSDK/TeamchatSDK.h>

@class NewContactViewController;

@protocol  NewContactViewControllerDelegate <NSObject>

- (void)newContactViewController:(NewContactViewController *)newContactViewController addedContact:(TCCustomAddressBookContact *)contact;

@end

@interface NewContactViewController : UIViewController

@property (nonatomic, weak) id<NewContactViewControllerDelegate> delegate;

@end
